Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 656020 - x11-wm/enlightenment-1.0.17: Last-rite (remove) e16
Summary: x11-wm/enlightenment-1.0.17: Last-rite (remove) e16
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Joonas Niilola
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-18 13:42 UTC by Joonas Niilola
Modified: 2018-06-23 18:03 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joonas Niilola gentoo-dev 2018-05-18 13:42:54 UTC
The slotting with different enlightenment ebuilds is messy. It's weird that when a user wants to emerge enlightenment (probably thinking they'll get the latest E22), they end up with an ancient version by default. Besides the "0.17 slot" for all current 0.* ebuilds in the tree is incorrect...

There are few bugs open about e16, and no activity on them. Last-riting e16 also clears some of its deps, for example: 
 - app-doc/edox-data
 - x11-misc/e16keyedit
 - x11-misc/e16menuedit2
 - x11-plugins/epplets

E16 can _possibly_ be re-introduced later back to the tree, since there is some minor development done for it, but under different name. Something like 'enlightenment-legacy', 'enlightenment-e16' or just 'e16'. But for now, remove it for not having a maintainer and to clear the mess with enlightenment slots, and their descriptions.
Comment 1 Larry the Git Cow gentoo-dev 2018-05-20 00:33:20 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffbc17afe479f8c05b7ca2ee2299c9a5c378d018

commit ffbc17afe479f8c05b7ca2ee2299c9a5c378d018
Author:     Joonas Niilola <juippis@gmail.com>
AuthorDate: 2018-05-18 13:51:26 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2018-05-20 00:32:51 +0000

    profiles/package.mask: Last-rite e16 + few deps
    
    Bug: https://bugs.gentoo.org/656020
    Closes: https://github.com/gentoo/gentoo/pull/8458

 profiles/package.mask | 12 ++++++++++++
 1 file changed, 12 insertions(+)
Comment 2 Scott McClung 2018-05-20 18:13:33 UTC
I use the old e16 on several machines.  I'd be willing to proxy maintain it, if there's any interest?
Comment 3 Joonas Niilola gentoo-dev 2018-05-21 06:13:15 UTC
(In reply to Scott McClung from comment #2)
> I use the old e16 on several machines.  I'd be willing to proxy maintain it,
> if there's any interest?

I use it too, here's my forum post about it: 
https://forums.gentoo.org/viewtopic-p-8220940.html#8220940

"I personally do use e16 in my very-old-laptop (that I havent booted in 2 years, BUT NEVERTHELESS!). Thats why I have a small interest of bringing it back once the mess is solved :P"

I did plan to re-introduce it back to the tree if there was interest, and you showed it, but there's some reluctancy from gentoo side about it. Ive already prepared almost everything needed for the latest e16 release (1.0.18), but now Im thinking maybe some sort of overlay is a better place for them, than the main gentoo tree. Maybe if more people reply here we could convince otherwise...

However, for now, e16 needs to be removed to refreshen and clarify the enlightenment situation in Gentoo. Ill still finish my e16 ebuilds, and if you do want to maintain them either in gentoo or in some overlay, I can give you the ebuilds and the metadata files when removal of e16 is closer. 

We could use Enlightenment Gentoo wiki page to let people know where to get e16.
Comment 4 Scott McClung 2018-05-21 16:45:53 UTC
I agree that the slots here make little or no sense anymore.  e16 probably should be a separate package.

I created an overlay yesterday for my own use, and put it on github:

https://github.com/mcclung/e16-overlay

Not sure if that's of interest to anyone.  I was able to build the packages on several machines, and the window manager (x11-wm/e16) itself seems to work.
Comment 5 Don Harrop 2018-05-23 19:17:33 UTC
Enlightenment has _always_ been in a highly developmental state.  That's what DR stood for - "Development Relase".  DR16 didn't evolve into DR17 though.  It was a complete rewrite.  A lot of people still like the simplicity of DR16 and that's why "e16" still exists today maintained by Kim Woelders and various patch committers (no longer a DR release).  I'm the guy that provides and maintains themes at http://themes.effx.us/e16.

If you're looking for votes, I'd like to keep it as a gentoo package but more appropriately named e16.  I can help keep the ebuild maintained too, although I'm not currently a gentoo-dev.
Comment 6 Dennis New 2018-06-07 19:59:32 UTC
Please keep it :|. It's an amazing window manager, and as mentioned, still maintained by Kim.
Comment 7 Larry the Git Cow gentoo-dev 2018-06-22 18:50:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=722abb3946c76c77bae811e7f8aff05bb7653c50

commit 722abb3946c76c77bae811e7f8aff05bb7653c50
Author:     Joonas Niilola <juippis@gmail.com>
AuthorDate: 2018-06-17 12:20:07 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-06-22 18:49:53 +0000

    x11-wm/enlightenment: removal of e16
    
    Check bug #656020 to find an overlay offering updated e16 packages.
    
    Closes: https://bugs.gentoo.org/656020
    Package-Manager: Portage[mgorny]-2.3.36.1

 x11-wm/enlightenment/Manifest                      |  1 -
 .../enlightenment/enlightenment-0.16.9999.ebuild   | 75 ----------------------
 x11-wm/enlightenment/enlightenment-1.0.17.ebuild   | 75 ----------------------
 x11-wm/enlightenment/metadata.xml                  |  2 -
 4 files changed, 153 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ed130ff5fbd6e296d426814f2f7513d5f8bbc79

commit 4ed130ff5fbd6e296d426814f2f7513d5f8bbc79
Author:     Joonas Niilola <juippis@gmail.com>
AuthorDate: 2018-06-17 12:27:39 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-06-22 18:49:59 +0000

    x11-plugins/epplets: removal
    
    Bug: https://bugs.gentoo.org/656020

 x11-plugins/epplets/Manifest            |  2 --
 x11-plugins/epplets/epplets-0.12.ebuild | 27 ---------------------------
 x11-plugins/epplets/epplets-0.14.ebuild | 31 -------------------------------
 x11-plugins/epplets/metadata.xml        | 15 ---------------
 4 files changed, 75 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f885485988a708b073d92525a3753e2d50e4038

commit 6f885485988a708b073d92525a3753e2d50e4038
Author:     Joonas Niilola <juippis@gmail.com>
AuthorDate: 2018-06-17 12:27:01 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-06-22 18:49:57 +0000

    app-doc/edox-data: removal
    
    Bug: https://bugs.gentoo.org/656020

 app-doc/edox-data/Manifest                    |  1 -
 app-doc/edox-data/edox-data-0.16.8.0.2.ebuild | 30 ---------------------------
 app-doc/edox-data/metadata.xml                |  8 -------
 3 files changed, 39 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2a7e577860ae8dbe172681715beb83c477894af

commit c2a7e577860ae8dbe172681715beb83c477894af
Author:     Joonas Niilola <juippis@gmail.com>
AuthorDate: 2018-06-17 12:25:59 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-06-22 18:49:55 +0000

    x11-misc/e16menuedit2: removal
    
    Bug: https://bugs.gentoo.org/656020

 x11-misc/e16menuedit2/Manifest                     |  1 -
 x11-misc/e16menuedit2/e16menuedit2-0.0.3.ebuild    | 31 ----------------------
 .../files/e16menuedit2-0.0.3-no-docs.patch         | 19 -------------
 x11-misc/e16menuedit2/metadata.xml                 |  8 ------
 4 files changed, 59 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3c06371f3f366cbe8c17f3f0c9febbb5f9ec503

commit b3c06371f3f366cbe8c17f3f0c9febbb5f9ec503
Author:     Joonas Niilola <juippis@gmail.com>
AuthorDate: 2018-06-17 12:14:00 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-06-22 18:49:51 +0000

    x11-misc/e16keyedit: removal
    
    Bug: https://bugs.gentoo.org/656020

 x11-misc/e16keyedit/Manifest              |  1 -
 x11-misc/e16keyedit/e16keyedit-0.7.ebuild | 21 ---------------------
 x11-misc/e16keyedit/metadata.xml          | 11 -----------
 3 files changed, 33 deletions(-)
Comment 8 pavel sanda 2018-06-23 14:02:18 UTC
Just found out that e16 was kicked out of the portage despite people offering proxy maintenance, that's very unfortunate.

I propose we open new bug for having e16 in official portage tree under the name "e16" so there is no slot problems with what is nowadays called enlightenment.
What you think?
Comment 9 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-06-23 15:49:38 UTC
Reintroducing it as fresh ebuilds is much cleaner than having two misversioned slots in a single package name.
Comment 10 pavel sanda 2018-06-23 18:03:27 UTC
It's bug #658860 now.